<form [formGroup]="form" class="container">

    <button
      mat-flat-button 
      type="button"
      color="primary"
      (click)="agregarUtil()"
      class="add"
    >
      +
    </button>

    <button 
      mat-flat-button 
      type="button"
      color="warn"
      (click)="eliminarUtiles()"
      class="delete"
    >
      Eliminar Todo
    </button>


  <div formArrayName="utiles">
    <mat-error>*Solo debe ingresar letras y numeros</mat-error>
    <form [formGroup]="form1">
      <p *ngFor="let util of utilesEscolares.controls; let id = index">
        <mat-form-field appearance="outline">
        <mat-label>Utiles escolares</mat-label>
         <input 
          matInput type="text" 
          placeholder="Ingrese material"
          formControlName="nombre"
          class="nombre"
          [class.is-invalid]="nombreNoValido"
        >
        <mat-error *ngIf="nombreNoValido">Solo debe ingresar letras y numeros</mat-error>
        </mat-form-field>
        <mat-checkbox 
          class="example-margin"
          formControlName="aceptar"
          class="aceptar"
        >
          Aceptar
        </mat-checkbox>
        <button 
          mat-flat-button 
          type="text"
          color="warn"
          (click)="eliminarUtil(id)"
          class="eliminar"
        >
          Eliminar
        </button>
      </p>

<!--       <textarea 
    placeholder="Lista de utiles escolares" 
    id="mostrar-nombres" 
    style="height: 100px" 
    formControlName="textarea">
  </textarea> -->

  <button mat-stroked-button color="primary" (click)="guardarCajas()" [disabled]="form1.invalid">Guardar</button>
  <button mat-stroked-button color="accent" (click)="limpiarCajas()">Limpiar</button>

</form> 
</div>

<div [innerHTML]="lista2" class="lista-utiles">Lista de utiles guardados:</div>
  
</form>

